Name:           nde-fileman
Version:        0.0.1
Release:        179.1%{?dist}
Summary:        NDE file manager NDEFileMAN
License:        GPLv2+
URL:            http://www.gd-linux.com
Source0:        %{version}/%{name}-%{version}.tar.gz

Provides:       nde-fileman = %{version}-%{release}

BuildRequires:  %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires:  nde-lib-devel >= 0.0.1
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(libfm)
BuildRequires:  pkgconfig(libmenu-cache)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libfm-qt)
BuildRequires:  desktop-file-utils
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  cmake(KF5Auth)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  pkgconfig(kscreen2)
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libexif-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kio-devel
BuildRequires:	nde-qtxdg-devel

#Requires:      desktop-backgrounds-compat
Requires:       %{name}-l10n = %{version}-%{release} 

Requires:       libfm-qt >= 0.14.1-189
Requires:	nde-qtxdg

# 压缩插件
Requires:       nde-archiver
Requires:       p7zip
Requires: kf5-kwindowsystem
Requires: gvfs-smb

# gvfs is optional depencency at runtime, so we add a weak dependency here
Recommends:    gvfs
# configuration patched to use ndeterminal instead as the default terminal emulator but allow to use others
Recommends:    nde-terminal

%description
%{summary}

%post
/usr/bin/update-desktop-database &> /dev/null || :
# sudo免密码
chmod 660 /etc/sudoers
sed -i 's/# %wheel/%wheel/' /etc/sudoers
chmod 440 /etc/sudoers

# 修复壁纸变黑色及默认桌面图标消失的问题
if [ "$1" = "2" ]; then
        userHomes=$(ls -l /home/ | awk '/^d/ {print $NF}')
	for user in $userHomes
	do
		SETTINGS_FILE="/home/$user/.config/nde-fileman/nde/settings.conf"
		if [ -f $SETTINGS_FILE ]; then
			wallpaper=`grep "Wallpaper=" $SETTINGS_FILE`
			wallpaperpath=${wallpaper#*=}
			echo $wallpaperpath
			if [ "$wallpaperpath" = "" ]; then
				sed -i 's/Wallpaper=/Wallpaper=\/usr\/share\/backgrounds\/default.png/g' $SETTINGS_FILE
			fi

			if [ `grep -c "WallpaperMode=none" $SETTINGS_FILE` -eq "1" ]; then
				sed -i 's/WallpaperMode=none/WallpaperMode=stretch/g' $SETTINGS_FILE
			fi

			if [ `grep -c "DesktopShortcuts" $SETTINGS_FILE` -eq "0" ]; then
				sed -i '/DesktopIconSize=48/a\DesktopShortcuts=Home, Trash, Computer' $SETTINGS_FILE
			else
				DesktopShortcuts=`grep "DesktopShortcuts" $SETTINGS_FILE`
				ShortcutsValue=${DesktopShortcuts#*=}
				if [ "$ShortcutsValue" = "@Invalid()" ]; then
					sed -i 's/DesktopShortcuts=@Invalid()/DesktopShortcuts=Home, Trash, Computer/g' $SETTINGS_FILE
				fi
			fi
		fi
	done
fi

%postun
/usr/bin/update-desktop-database &> /dev/null || :

%package l10n
Summary:        Translations for nde-fileman
Requires:       %{name} = %{version}-%{release} 

%description l10n
This package provides translations for the nde-fileman package.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
	%{cmake_nde} -DBUILD_DOCUMENTATION=ON -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

#for dfile in nde-fileman-desktop-pref nde-fileman; do
#	desktop-file-edit \
#		--remove-category=Nde --add-category=X-Nde \
#		--remove-category=Help --add-category=X-Help \
#		--remove-only-show-in=Nde \
#		%{buildroot}/%{_datadir}/applications/${dfile}.desktop
#done

%find_lang nde-fileman --with-qt

%files
%doc AUTHORS CHANGELOG README.md
%license LICENSE
%{_bindir}/nde-fileman
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-desktop-pref.desktop
%{_docdir}/nde-fileman
%{_mandir}/man1/nde-fileman.*
%{_sysconfdir}/xdg/autostart/nde-desktop.desktop
%{_datadir}/nde-fileman/nde/settings.conf
%{_datadir}/nde-fileman/nde/notsupporroot.list
%{_datadir}/%{name}

%files l10n -f nde-fileman.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/%{name}/translations


%changelog
* Sat Dec 28 2024 He Leilei<he.leilei@zte.com> - 0.0.1-179.1
- fix build error ,remove bluetooth

* Wed Nov 10 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-179
- 修复自动排序切换异常，非自动排序下拖动大量图标桌面奔溃，网络图标多语言支持问题并优化部分代码

* Fri Nov 05 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-178
- 修复图标越界导致空白，重命名图标重叠，自动排序开关切换图标异常等问题

* Thu Nov 04 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-177
- 屏蔽文件管理器未正常退出时的恢复弹框提示
- 修改回收站为空时的标题显示

* Tue Nov 02 2021 He Leilei<he.leilei@zte.com> - 0.0.1-176
- 修改默认壁纸为other中的图片

* Mon Nov 01 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-175
- 修复图标越界和自动排序下删除图标出现空白问题

* Tue Oct 26 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-174
- 修复桌面自动排序情况下，拖拽图标到空白处异常，和切换壁纸图标闪烁问题，并优化部分代码

* Tue Oct 26 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-173
- 修复桌面自动排序情况下，拖拽图标异常问题，并优化部分代码

* Mon Oct 25 2021 luo junchao <luo.junchao@zte.com.cn> -g 0.0.1-172
- 修改提示信息

* Thu Oct 21 2021 lv kaiyi <lv.kaiyi@zte.com.cn> -g 0.0.1-171
- 修复屏蔽桌面个性化菜单

* Wed Oct 20 2021 Li Shengsong<li.shengsong@zte.com> -g 0.0.1-170
- 优化桌面滑动功能，添加桌面滑动区域限制

* Tue Oct 19 2021 Li Shengsong<li.shengsong@zte.com> -g 0.0.1-169
- 修复自动排序下，桌面图标铺满之后，删除图标，桌面排序异常问题

* Mon Oct 18 2021 Li Shengsong<li.shengsong@zte.com> -g 0.0.1-168
- 修复切换壁纸时，桌面出现多余的虚拟文件问题

* Sat Oct 16 2021 He Leilei<he.leilei@zte.com> - 0.0.1-167
- Revert "增加应用安装，卸载，更新，桌面图标更新功能"

* Fri Oct 15 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-166
- 增加应用安装，卸载，更新，桌面图标更新功能

* Thu Oct 14 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-165
- 增加应用卸载时，移除桌面图标功能

* Tue Oct 12 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-164
- 解决自动切换壁纸时闪屏、黑屏的问题

* Tue Oct 12 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-163
- 小优化桌面滑动

* Mon Oct 11 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-162
- 增加桌面滑动限制，防误触

* Sat Oct 09 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.0.1-161
- 当桌面图标充满时，增加桌面滑动功能

* Fri Oct 08 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-160
- 调整桌面图标间距

* Tue Sep 28 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-159
- 屏蔽用户目录下默认图标右键菜单中的删除功能

* Mon Sep 27 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-158
- 屏蔽键盘delete键删除用户目录下的默认文件夹、桌面的默认图标、计算机下的磁盘

* Sun Sep 26 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-157
- 解决自动切换壁纸，清空选定路径下图片，重启系统后黑屏问题
- 解决自动切换壁纸选择其他路径，无法自动设置回默认路径问题

* Wed Sep 22 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-156
- 支持反馈-桌面图标可以无线向右移动，此时桌面左侧图标向左移动，移出桌面边界(#4193)

* Thu Sep 16 2021 Li Shengsong <li.shengsong@gd-linux.cn> - 0.0.1-155
- 增加桌面默认图标（计算机，网络，垃圾桶等）中文英语支持

* Mon Sep 13 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.0.1-154
- 收藏夹标题翻译

* Wed Sep 01 2021 Wu Shangmin <wu.shangmin@zte.com.cn>  - 0.0.1-153
- 屏蔽用户目录下默认文件夹重命名功能(#4083)

* Thu Aug 26 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.0.1-152
- 添加蓝牙发送空文件的提示

* Thu Aug 19 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-151
- 桌面应用自动排序，拖动最后一个应用，闪退(#3835)

* Thu Aug 12 2021 Li shengsong <li.shengsong@zte.com.cn> - 0.0.1-150
- 统一接口，点击个性化和显示设置的时候跳转到控制中心

* Fri Aug 6 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-149
- 优化代码

* Thu Aug 5 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-148
- 解决切换壁纸模式，桌面崩溃的问题

* Wed Aug 4 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-147
- 解决配置文件壁纸模式不修改的问题

* Tue Aug 3 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-146
- 解决文件夹没有壁纸切换到文件夹有壁纸无法生效的问题

* Thu Jul 29 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-145
- 修复壁纸自动切换选择路径为空时出现闪屏的情况

* Thu Jul 22 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-144
- 添加壁纸自动切换记忆功能

* Fri Jul 16 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-143
- 添加壁纸自动切换功能

* Wed Jul 14 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-142
- 屏蔽收藏夹链接重命名功能

* Tue Jul 13 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.0.1-141
- 添加蓝牙右键菜单

* Fri Jul 2 2021 Li Shengsong <li.shengsong@gd-linux.cn> - 0.0.1-140
- 增加libfm-qt安装依赖,增加nde-fileman和nde-fileman-l10n相互依赖

* Mon Jun 21 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.0.1-139
- 优化操作远程文件时实时刷新的问题

* Fri Jun 11 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.0.1-138
- 修复Windows Share连接的问题

* Wed May 19 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-137
- 修复双屏断开副屏后窗口没有回归主屏问题

* Tue Apr 27 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-136
- 修复双屏拓展模式下，打开应用并拖动到副屏后，断开副屏，窗口没有回归主屏(#3511)

* Fri Mar 26 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-135
- 修复桌面崩溃问题

* Thu Mar 25 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-134
- 修改圆角的混成器判断

* Mon Mar 22 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-133
- 修改安装崩溃问题， 修改桌面图标间距

* Fri Mar 19 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-132
- 修复详细列表日期显示不全问题(#3468)

* Wed Mar 17 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-131
- 修改桌面字体粗细

* Fri Mar 12 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-130
- 修改桌面字体样式

* Mon Mar 01 2021 He Leilei <he.leilei@zte.com.cn> - 0.0.1-129
- 修复桌面打开文件夹崩溃的问题（增加了再次点击重命名功能之后）

* Sun Feb 28 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-128
- 缩略图列表放最上面，缩小顺序：缩略图-》图标-》列表(#3393)

* Mon Feb 22 2021 Lei Bao <lei.bao@gd-linux.cn> - 0.0.1-127
- 使壁纸设置命令即时生效

* Sun Feb 07 2021 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-126
- 修复右键功能翻译不全问题

* Wed Feb 03 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-125
- 写死默认压缩程序

* Fri Jan 29 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-124
- 修改默认压缩程序

* Wed Jan 27 2021 He Leilei <he.leilei@zte.com.cn> - 0.0.1-123
- 修复我的电脑使用快捷键可以重命名的问题

* Wed Jan 27 2021 He Leilei <he.leilei@zte.com.cn> - 0.0.1-122
- 修复回收站图标显示不正常的问题，再次点击项可以重命名

* Fri Jan 22 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-121
- 修复文件管理器快捷键无法使用问题(#3146)

* Tue Jan 5 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-120
- 远程连接收藏夹没有内容时按钮置灰

* Tue Jan 5 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-119
- 修复桌面自动排序勾选消息问题

* Wed Dec 30 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-118
- 修复桌面排列勾选不保存问题(#3110)

* Tue Dec 29 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-117
- 修复桌面自动排序勾选消息问题

* Thu Dec 24 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-116
- 修复双屏刷新图标显示位置错位问题

* Tue Dec 01 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-115
- rarlinux只在x86_64下安装

* Tue Nov 24 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-114
- 修复拖拽云桌面边界，在自动排序模式下图标排列底部空一行的问题(#2922)

* Sat Nov 21 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-113
- 文件管理器标签栏样式修改(1253)

* Tue Nov 17 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-112
- 修复双屏情况下改变分辨率桌面图标无法自适应问题
- 修复双屏情况下新建删除桌面文件导致副屏图标回到主屏问题

* Thu Nov 12 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-111
- 修复双屏下桌面图标被遮挡问题(#2952)

* Fri Nov 06 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-109
- 新建本地磁盘不弹窗

* Wed Nov 04 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-108
- 修复计算机页面以“图标视图”展示，但视图按钮显示为“缩略图视图”问题(#2933)

* Tue Nov 03 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-107
- 修复插入存储设备识别问题

* Mon Nov 02 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-106
- 修复屏蔽ZTE云桌面或者虚拟机的分辨率设置入口的bug

* Fri Oct 30 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-105
- 目录检索快捷键无法使用的问题

* Thu Oct 29 2020 He Leilei <he.leilei@zte.com.cn> - 0.0.1-104
- 修改右键菜单样式

* Mon Oct 26 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-103
- 更改控制中心配置文件为/etc/nde/nde.conf文件

* Fri Oct 23 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-102
- 文件管理器详细视图表头默认不显示用户和组
- 文件管理器详细视图表头名称列默认宽度300px

* Wed Oct 21 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-101
- 修复检索结果快捷键操作失效的问题

* Wed Oct 21 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-100
- 回退文件管理器默认打开计算机目录和主目录中文件小于12则以视图模式显示功能

* Tue Oct 20 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-99
- 切换目录后清空检索框
- 选中检索结果第一个结果
- 异常关闭窗口以标签方式打开

* Mon Oct 19 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-98
- 标签栏添加“在新标签页打开”按钮

* Thu Oct 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-97
- 文件管理器默认打开计算机目录和主目录中文件小于12则以视图模式显示，否则以详细详细模式显示

* Wed Oct 14 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-96
- 文件管理器主目录默认视图模式打开(1204)
- 文件管理器主菜单添加显示隐藏文件功能(1195)

* Tue Oct 13 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-95
- 远程连接Bug

* Mon Oct 12 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-94
- 增加恢复异常退出文件管理器功能

* Mon Oct 12 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-93
- 修复文件管理器右键查看保存所选的模式

* Fri Oct 09 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-92
- 收藏夹打开方式以新窗口打开
- 增加文件管理器当前目录检索功能

* Fri Oct 09 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-91
- 屏蔽ZTE云桌面和虚拟机在桌面上的监视器设置入口

* Tue Sep 29 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-90
- 固定系统默认图标(#2868)

* Fri Sep 25 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-89
- 修复文件管理器右键改变视图无法保存视图模式问题(#2845)

* Tue Sep 22 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-88
- 修改文件管理器默认详细信息显示

* Mon Sep 21 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-87
- 修复分辨率缩小后桌面图标被遮住的问题

* Mon Sep 21 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-86
- 修复搜索框删除掉字符之后焦点不正确问题

* Fri Sep 18 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-84
- 修复桌面任务栏改变位置导致桌面图标重排序问题(#2482)
- 修复自动排序下分辨率改变，图标重排序问题(#2817)
- 修复桌面同一种排序不能再次点击问题（#2671）

* Thu Sep 17 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-84
- 修复搜索结果显示数量不正确到问题 

* Mon Sep 14 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-83
- 修复桌面自动排序下重命名文件图标会被覆盖问题

* Wed Sep 09 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-82
- 添加汉化

* Wed Sep 09 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-81
- 删除压缩软件p7zip依赖，解决压缩中文乱码问题

* Mon Sep 07 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-80
- 重新实现桌面图标自动排序功能

* Mon Sep 07 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-79
- 删除菜单栏书签功能

* Mon Sep 07 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-78
- 文件管理器收藏夹功能

* Wed Sep 02 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-77
- 处理显示搜索结果后搜索框聚焦问题

* Tue Sep 01 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-76
- 先排序三个主图标位置

* Mon Aug 31 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-75
- 修复桌面排序，主界面图标移位问题(#2769)
- 屏蔽桌面默认应用的重命名功能

* Thu Aug 27 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-74
- 屏蔽桌面文件夹右键菜单中的“在新标签页打开”和“在新窗口打开”功能(#2712)

* Wed Aug 26 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-73
- 修复拖动桌面图标至其它图标处会一直往下推着走的问题(#2443)

* Wed Aug 26 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-72
- 分辨率改变时刷新桌面

* Tue Aug 25 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-71
- 搜索功能递归搜索所有子目录的问题

* Mon Aug 24 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-70
- 去掉桌面隐藏项目，添加自动排序

* Fri Aug 21 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-69
- 修复中文文件或文件夹创建快捷方式乱码问题

* Fri Aug 21 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-68
- 添加磁盘右键菜单“在新标签打开”和“在新窗口打开”功能(#2638)

* Thu Aug 20 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-67
- desktop的快捷方式改为复制模式
- 桌面添加F5刷新功能

* Thu Aug 20 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-66
- 改变目录路径后，搜索框清空

* Tue Aug 18 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-65
- 修改快捷方式命名格式
- 修复桌面右键多个应用问题(#2650)

* Thu Aug 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-64
- 修复创建快捷方式中文乱码问题

* Thu Aug 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-63
- 打开多个标签页时关闭窗口弹出提示框
- 修复文件文件管理器打开多个窗口，在任务栏关闭出现崩溃问题
- 优化创建快捷方式功能，添加创建快捷方式到桌面功能
- 优化重命名功能

* Thu Aug 13 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-62
- 远程连接错误弹出两次bug

* Mon Aug 10 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-61
- 模式菜单提示翻译
- 我的电脑显示视图模式问题

* Mon Aug 10 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-60
- 修改多选时的右键菜单功能
- 修改桌面默认应用在文件管理器下的右键菜单功能
- 禁止桌面默认应用被拖到回收站

* Tue Aug 04 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-58
- 固定断开远程链接配置，不关闭文件管理器

* Tue Aug 04 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-57
- 修复文件管理器最大化后打开里面的文件夹导致窗口变小问题(#2511)

* Tue Aug 04 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-56
- 修改默认断开远程操作配置

* Tue Aug 04 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-55
- 修复无法关闭选中标签页问题(#2509)

* Fri Jul 31 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-54
- 屏蔽回收站、计算机中右键菜单的部分无用功能
- 标签页右键菜单添加“关闭标签”功能

* Fri Jul 31 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-53
- 远程连接历史记录

* Thu Jul 30 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-52
- 打开文件管理器显示置顶

* Tue Jul 28 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-51
- 右键菜单功能顺序调整

* Mon Jul 27 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-50
- 修改右键菜单背景为白色
- 接收文件管理器按钮地址栏右键菜单“在新标签打开”与“在新窗口打开“信号
- 文件管理器标签右键菜单添加”新建标签页“功能

* Mon Jul 27 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-49
- 文件管理器打开窗口显示位置

* Thu Jul 23 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-48
- 修复桌面多出一个文件问题(#2286)
- 替换文件管理器搜索框的右键菜单

* Mon Jul 20 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-47
- 修复回收站右键图标闪退问题
- “垃圾桶”改为“回收站”

* Thu Jul 16 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-46
- 调整视图显示方式，状态栏显示样式

* Wed Jul 15 2020 He Leilei <he.leilei@zte.com.cn> - 0.0.1-45
- 修改桌面设置在设置中心中的分组位置

* Tue Jul 14 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-44
- 文件夹右键菜单中的“粘贴”无三态问题(#2329)

* Tue Jul 14 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-43
- 修复桌面右键菜单排序图标的显示

* Tue Jul 14 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-42
- 添加文件夹右键菜单“在新标签打开”和“在新窗口打开”功能(#2313)

* Mon Jul 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-41
- 替换桌面右键菜单排序和查看选中图标

* Fri Jul 10 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-40
- 添加右键菜单小图标
- 右键菜单“粘贴”功能具备三种形态(#2278)

* Fri Jul 10 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-39
- 去除桌面右键菜单“查看”功能中的图标大小设置功能

* Wed Jul 08 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-38
- 回收站具备显示非空状态功能(1083)

* Tue Jul 07 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-37
- 修复桌面默认图标右键菜单问题(#2248)(#2249)

* Mon Jul 06 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-36
- 添加右键子菜单阴影

* Mon Jul 06 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-35
- 修复新建分区无法自动挂载的问题

* Fri Jul 03 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-34
- 修改右键子菜单样式

* Fri Jul 03 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-33
- 添加回收站右键中“清空回收站”功能(#2248)

* Fri Jul 03 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-32
- 我的电脑视图模式的问题

* Fri Jul 03 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-31
- 修复右键打开个性化后无法使用右键问题(#2240)

* Thu Jul 02 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-30
- 屏蔽桌面右键菜单中的文件管理器的“查看”功能

* Thu Jul 02 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-29
- 添加桌面右键菜单的"查看"功能和文件管理器查看功能的信号接收

* Thu Jul 02 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-28
- 修改文件管理器与桌面样式

* Wed Jul 01 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-27
- 实现桌面排序功能与文件管理器的排序区别开

* Tue Jun 30 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-26
- 添加rarlinux依赖包，实现.rar和.cbr格式压缩功能

* Tue Jun 30 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-25
- 修改文件管理器保存之前显示模式

* Mon Jun 29 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-24
- 对每个用户进行修复壁纸变黑色及默认桌面图标消失的问题

* Mon Jun 29 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-23
- 修复壁纸变黑色及默认桌面图标消失的问题

* Wed Jun 24 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-22
- 在桌面图标列表末尾后生成新的图标

* Wed Jun 24 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-21
- 回退固定桌面图标座标

* Wed Jun 24 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-20
- 修改文件管理器右键菜单刷新功能

* Wed Jun 24 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-19
- 固定桌面图标座标
- 添加p7zip压缩插件

* Wed Jun 24 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-18
- 隐藏回收站右键菜单中的“创建”功能
- 添加root权限白名单

* Wed Jun 24 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-17
- 修改默认终端为ndeterminal

* Tue Jun 23 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-16
- 修改桌面文件管理器样式

* Tue Jun 23 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-15
- 修复升级默认打开终端不是ndeterminal问题
- 屏蔽右键“系统信息”功能
- 添加桌面右键菜单“显示设置”、“个性化”功能，屏蔽”桌面偏好设置“功能
- 隐藏桌面右键菜单“全选”，“反选”，“显示隐藏文件”功能

* Tue Jun 23 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-14
- 修改文件管理器滚动条样式

* Mon Jun 22 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-13
- 更新文件管理器版权声明

* Mon Jun 22 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-12
- 修改默认打开终端为ndeterminal
- 屏蔽右键文件夹的其他打开方式

* Fri Jun 19 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-11
- 修改文件管理器工具栏样式

* Thu Jun 18 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-10
- 添加右键图标“发送到”功能和桌面右键刷新功能

* Wed Jun 17 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-9
- 添加默认图标右键菜单功能(1007)

* Tue Jun 16 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-8
- 修改文件管理器磁盘、文件布局等

* Fri Jun 12 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-7
- 右键菜单添加：图标创建快捷方式、右键菜单打开终端、以管理员取权限运行应用功能

* Fri Jun 5 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-6
- 修改文件管理器工具栏侧边栏以及显示栏

* Thu Jun 4 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-5
- 默认字体思源黑体

* Mon Jun 01 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-4
- 更改应用名称

* Tue May 26 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-3
- 更改su-command，删除onlyshowin显示设置

* Tue May 26 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-2
- 修改默认桌面显示图标，只显示我的电脑、我的目录、回收站快捷键

* Fri May 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)

* Tue Apr 28 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.14.1-2.1
- 调整文件浏览器局部布局

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild



